package db

import (
	"github.com/pocketbase/dbx"
	"github.com/pocketbase/pocketbase"
	"github.com/pocketbase/pocketbase/models"
	"htwkalender/model"
)

func SaveFeed(feed model.Feed, collection *models.Collection, app *pocketbase.PocketBase) (*models.Record, error) {
	record := models.NewRecord(collection)
	record.Set("modules", feed.Modules)
	err := app.Dao().SaveRecord(record)

	if err != nil {
		return nil, err
	}
	return record, nil
}

func FindFeedByToken(token string, app *pocketbase.PocketBase) (*model.Feed, error) {
	var feed model.Feed
	err := app.Dao().DB().Select("*").From("feeds").Where(dbx.NewExp("id = {:id}", dbx.Params{"id": token})).One(&feed)
	if err != nil {
		return nil, err
	}
	return &feed, err
}
