import { Module } from "../model/module";

export async function fetchModule(name: string): Promise<Module> {
  const request = new Request("/api/module", {
    method: "GET",
    headers: {
      "Content-Type": "application/json",
      Name: encodeURI(name),
    },
  });

  return await fetch(request)
    .then((response) => {
      return response.json();
    })
    .then(
      (module: Module) =>
        new Module(
          module.uuid,
          module.name,
          module.course,
          module.name,
          module.prof,
          module.semester,
          module.events,
        ),
    );
}
